### Method

# Atspi Document get_document_attributes

#### Declaration [src]

    GHashTable*
    atspi_document_get_document_attributes (
      AtspiDocument* obj
      GError** error
    )

#### Description [src]

Gets all constant attributes for the document as a whole. For attributes that change within the document content, see `atspi_text_get_attribute_run` instead.

The implementation of this method is provided by `atspi_document_get_attributes()` in language bindings.

#### Return value

Type: `GHashTable`

A `GHashTable` containing the constant attributes of the document, as name-value pairs.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.